# Generated by Django 2.2 on 2021-03-05 15:02

from django.db import migrations
from django.db.models import Q

def create_messages(apps, scheme_editor):
    
    SlackMessage = apps.get_model('tickets', 'TypifySlackMessageModel')
    Categories = apps.get_model('tickets', 'CategoryModel')
    User = apps.get_model ('auth', 'User')

    for category in Categories.objects.filter(classification=3):

        child_categories = Categories.objects.filter(parent=category)

        if len(child_categories) > 0:

            for child in child_categories:
                SlackMessage.objects.create(
                    operator=child.operator, creator=User.objects.get(pk=1),
                    name='Test Slack',
                    category=child,
                    fields=['subcategory', 'second_subcategory', 'agent', 'services', 'rut', 'customer_type', 'channel', 'type', 'status', 'city'],
                    channel="C01QQQ6RK3K"
                )
        else:
            msgaver = SlackMessage.objects.create(
                operator=category.operator, 
                creator=User.objects.get(pk=1),
                name='Test Slack',
                category=category,
                fields=['subcategory', 'second_subcategory', 'agent', 'services', 'rut', 'customer_type', 'channel', 'type', 'status', 'city'],
                channel="C01QQQ6RK3K"
            )

def delete_messages(apps, scheme_editor):

    SlackMessage = apps.get_model('tickets', 'TypifySlackMessageModel')

    SlackMessage.objects.filter(name="Test Slack").delete()


class Migration(migrations.Migration):

    dependencies = [
        ('tickets', '0016_auto_20210308_1147'),
    ]

    operations = [
        migrations.RunPython(create_messages, delete_messages),
    ]
